## fbset 1.0

=== Makefile ===
#
# Linux/m68k Frame Buffer Device Configuration
#

CC =		gcc -Wall -O3
BISON =		bison -d
FLEX =		flex
INSTALL =	install
RM =		rm -f

All:		fbset


fbset:		fbset.o modes.tab.o lex.yy.o

fbset.o:	fbset.c fbset.h
modes.tab.o:	modes.tab.c fbset.h
lex.yy.o:	lex.yy.c fbset.h modes.tab.h

lex.yy.c:	modes.l
		$(FLEX) modes.l

modes.tab.c:	modes.y
		$(BISON) modes.y

install:	fbset
		if [ -f /sbin/fbset ]; then rm /sbin/fbset; fi
		$(INSTALL) fbset /usr/sbin
		$(INSTALL) fbset.8 /usr/man/man8
		$(INSTALL) fb.modes.5 /usr/man/man5
		if [ ! -c /dev/fb0current ]; then mknod /dev/fb0current c 29 0; fi
		if [ ! -c /dev/fb0autodetect ]; then mknod /dev/fb0autodetect c 29 1; fi
		if [ ! -c /dev/fb0user0 ]; then mknod /dev/fb0user0 c 29 24; fi
		if [ ! -c /dev/fb0user1 ]; then mknod /dev/fb0user1 c 29 25; fi
		if [ ! -c /dev/fb0user2 ]; then mknod /dev/fb0user2 c 29 26; fi
		if [ ! -c /dev/fb0user3 ]; then mknod /dev/fb0user3 c 29 27; fi
		if [ ! -c /dev/fb0user4 ]; then mknod /dev/fb0user4 c 29 28; fi
		if [ ! -c /dev/fb0user5 ]; then mknod /dev/fb0user5 c 29 29; fi
		if [ ! -c /dev/fb0user6 ]; then mknod /dev/fb0user6 c 29 30; fi
		if [ ! -c /dev/fb0user7 ]; then mknod /dev/fb0user7 c 29 31; fi

install-amiga:
		if [ ! -c /dev/fb0ntsc ]; then mknod /dev/fb0ntsc c 29 2; fi
		if [ ! -c /dev/fb0ntsc-lace ]; then mknod /dev/fb0ntsc-lace c 29 3; fi
		if [ ! -c /dev/fb0pal ]; then mknod /dev/fb0pal c 29 4; fi
		if [ ! -c /dev/fb0pal-lace ]; then mknod /dev/fb0pal-lace c 29 5; fi
		if [ ! -c /dev/fb0multiscan ]; then mknod /dev/fb0multiscan c 29 6; fi
		if [ ! -c /dev/fb0multiscan-lace ]; then mknod /dev/fb0multiscan-lace c 29 7; fi
		if [ ! -c /dev/fb0a2024-10 ]; then mknod /dev/fb0a2024-10 c 29 8; fi
		if [ ! -c /dev/fb0a2024-15 ]; then mknod /dev/fb0a2024-15 c 29 9; fi
		if [ ! -c /dev/fb0euro36 ]; then mknod /dev/fb0euro36 c 29 10; fi
		if [ ! -c /dev/fb0euro36-lace ]; then mknod /dev/fb0euro36-lace c 29 11; fi
		if [ ! -c /dev/fb0euro72 ]; then mknod /dev/fb0euro72 c 29 12; fi
		if [ ! -c /dev/fb0euro72-lace ]; then mknod /dev/fb0euro72-lace c 29 13; fi
		if [ ! -c /dev/fb0super72 ]; then mknod /dev/fb0super72 c 29 14; fi
		if [ ! -c /dev/fb0super72-lace ]; then mknod /dev/fb0super72-lace c 29 15; fi
		if [ ! -c /dev/fb0dblntsc ]; then mknod /dev/fb0dblntsc c 29 16; fi
		if [ ! -c /dev/fb0dblntsc-ff ]; then mknod /dev/fb0dblntsc-ff c 29 17; fi
		if [ ! -c /dev/fb0dblntsc-lace ]; then mknod /dev/fb0dblntsc-lace c 29 18; fi
		if [ ! -c /dev/fb0dblpal ]; then mknod /dev/fb0dblpal c 29 19; fi
		if [ ! -c /dev/fb0dblpal-ff ]; then mknod /dev/fb0dblpal-ff c 29 20; fi
		if [ ! -c /dev/fb0dblpal-lace ]; then mknod /dev/fb0dblpal-lace c 29 21; fi
		if [ ! -c /dev/fb0vga ]; then mknod /dev/fb0vga c 29 22; fi
		if [ ! -c /dev/fb0vga70 ]; then mknod /dev/fb0vga70 c 29 23; fi

install-atari:
		if [ ! -c /dev/fb0stlow ]; then mknod /dev/fb0stlow c 29 2; fi
		if [ ! -c /dev/fb0stmid ]; then mknod /dev/fb0stmid c 29 3; fi
		if [ ! -c /dev/fb0sthigh ]; then mknod /dev/fb0sthigh c 29 4; fi
		if [ ! -c /dev/fb0ttlow ]; then mknod /dev/fb0ttlow c 29 5; fi
		if [ ! -c /dev/fb0ttmid ]; then mknod /dev/fb0ttmid c 29 6; fi
		if [ ! -c /dev/fb0tthigh ]; then mknod /dev/fb0tthigh c 29 7; fi
		if [ ! -c /dev/fb0vga2 ]; then mknod /dev/fb0vga2 c 29 8; fi
		if [ ! -c /dev/fb0vga4 ]; then mknod /dev/fb0vga4 c 29 9; fi
		if [ ! -c /dev/fb0vga16 ]; then mknod /dev/fb0vga16 c 29 10; fi
		if [ ! -c /dev/fb0vga256 ]; then mknod /dev/fb0vga256 c 29 11; fi
		if [ ! -c /dev/fb0falh2 ]; then mknod /dev/fb0falh2 c 29 12; fi
		if [ ! -c /dev/fb0falh16 ]; then mknod /dev/fb0falh16 c 29 13; fi

clean:
		$(RM) *.o fbset lex.yy.c modes.tab.c modes.tab.h

## fbset 2.1

=== debian/changelog ===
fbset (2.1-34) unstable; urgency=medium

  * Update Standards-Version to 4.7.0
  * Update homepage link.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 23:50:25 +0000

fbset (2.1-33.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sven Joachim ]
  * Move binaries below /usr (Closes: #1061259)
    The upstream Makefile installs binaries into /bin, in Debian trixie
    and later they should be installed into /usr/bin instead.  Use the
    dh_movetousr tool added in debhelper 13.11.7 to achieve that.
    Adding dh-sequence-movetousr to Build-Depends is not strictly
    necessary, but it helps with backports and ensures that dh_movetousr
    is run in case debian/rules gets ever converted to dh.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 16:33:04 +0200

fbset (2.1-33) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.6.1.0
  * Use compatibility level 13.
  * Sync with Linux Kernel v6.0-rc2.
  * Disable parallel builds. (Closes: #1017163)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Aug 2022 23:15:01 +0100

fbset (2.1-32) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * Fix FTCBFS. (Closes: #851294)
    - Thanks to Helmut Grohne.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 Apr 2020 23:50:03 +0100

fbset (2.1-31) unstable; urgency=low
  * Update Maintainer (Closes: #740580)
  * sync with Linux Kernel v5.4-rc6
  * Update to Standards-Version 4.4.1
  * Use compatibility level 12
  * Change Priority to optional and remove duplicate Priority
  * Use github as Vcs

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 Nov 2019 20:47:58 +0000

fbset (2.1-30) unstable; urgency=medium

  * Line-wrap and sort dependency fields.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Switch debhelper compatibility level to 10.
  * Switch debian/watch format version to 4.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Nov 2017 00:29:03 +0100

fbset (2.1-29) unstable; urgency=medium

  * QA upload.
  * Update to Linux kernel 4.10-rc4:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/modes/fb.modes.viafb: Likewise.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch Vcs-Browser to a cgit URL.
  * Use https for hadrons.org URLs.
  * Switch debian/copyright to machine-readable format 1.0.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable all hardening flags.

 -- Guillem Jover <guillem@debian.org>  Thu, 19 Jan 2017 01:11:33 +0100

fbset (2.1-28) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Switch to debhelper compatibility level 9.
  * Now using Standards-Version 3.9.5 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 02 Mar 2014 20:54:35 +0100

fbset (2.1-27) unstable; urgency=low

  * Remove long obsolete and unsupported devfs references from man page.
  * Add a fb.modes.openmoko db file to the examples directory, usable with
    «fbse -db». Thanks to Timo Juhani Lindfors <timo.lindfors@iki.fi>.
    Closes: #594591
  * Add support for custom sync flags, by preserving unknown sync bits, a
    new -sync db mode option and a new --sync program option to set these.
    Thanks David Kozub <zub@linux.fjfi.cvut.cz>. Closes: #678325

 -- Guillem Jover <guillem@debian.org>  Wed, 15 May 2013 21:00:28 +0200

fbset (2.1-26) unstable; urgency=low

  * Now using Standards-Version 3.9.4 (no changes needed).
  * Remove package creation information from debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 May 2013 17:10:32 +0200

fbset (2.1-25) unstable; urgency=low

  * Fix some missinformation in fbset(8).
    - Use an actual mode (“640x480-60”) instead of “vga” in the example.
    - Point to the correct path for the compressed FAQ.
    Thanks to Pavel Machek <pavel@ucw.cz>. Closes: #577449
  * Invert alternative dependency order for “makedev | udev” so that udev
    which has a higher priority goes first. Closes: #546865
  * Change binary package Architecture field values from any to linux-any.
  * Update to Linux kernel 3.0.0-rc1:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.
  * Fix upstream Makefile to support out of tree builds.
  * Rework debian/rules targets:
    - Create an empty build-indep target.
    - Use out of tree builds.
    - Merge build and build-udeb into a new build-arch target, and
      install and install-udeb into install-arch target, as they are
      not parallelizable anyway.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Add ${misc:Depends} substvar to fbset-udeb Depends field.
  * Remove long obsolete devfs support patch.
  * Rename UDEB_CFLAGS to CFLAGS_UDEB and UDEB_PACKAGE to PACKAGE_UDEB.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.

 -- Guillem Jover <guillem@debian.org>  Wed, 01 Jun 2011 06:27:30 +0200

fbset (2.1-24) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Update to Linux kernel 2.6.32-rc7:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.
    - debian/modes/fb.modes.viafb: New modes file.
  * Remove ‘+’ line prefixes in ATI modes files from the time .diff.gz
    changes got converted to standalone files.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.


=== debian/control ===
Source: fbset
Section: admin
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Homepage: http://g33rt.be/migrated/Linux/fbdev/
Vcs-Browser: https://github.com/sudipm-mukherjee/fbset.git
Vcs-Git: https://github.com/sudipm-mukherjee/fbset.git
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dh-sequence-movetousr, dpkg-dev (>= 1.15.7), flex, bison

Package: fbset
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 udev | makedev (>= 2.3.1-24),
Description: framebuffer device maintenance program
 Program to modify settings for the framebuffer devices (/dev/fb[0-9]*
 or /dev/fb/[0-9]*) on Linux, like depth, virtual resolution, timing
 parameters etc.

Package: fbset-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: framebuffer device maintenance program
 Program to modify settings for the framebuffer devices (/dev/fb[0-9]*
 or /dev/fb/[0-9]*) on Linux, like depth, virtual resolution, timing
 parameters etc.
 .
 This contains the udeb, which is used for the debian-installer
 installation system. It won't work well on a normal Debian system.

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk

CFLAGS_UDEB := -Wall
DIR_FLAGS = srcdir=.. VPATH=..

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS_UDEB += -O0
else
	CFLAGS_UDEB += -Os -fomit-frame-pointer
endif

PACKAGE = fbset
PACKAGE_UDEB = $(PACKAGE)-udeb

build-indep:

build-arch:
	dh_testdir
	
	mkdir -p build-udeb
	ln -f Makefile build-udeb/Makefile
	dh_auto_build --builddirectory=build-udeb --no-parallel  -- $(DIR_FLAGS) CPPFLAGS="-I.. $(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS_UDEB)" LDFLAGS="$(LDFLAGS)"
	
	mkdir -p build-tree
	ln -f Makefile build-tree/Makefile
	dh_auto_build --builddirectory=build-tree --no-parallel -- $(DIR_FLAGS) CPPFLAGS="-I.. $(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	
	rm -rf build-udeb
	rm -rf build-tree
	
	# FIXME: this can be removed once and if con2fbmap is merged upstream
	rm -f con2fbmap
	
	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs
	
	$(MAKE) -C build-udeb install \
	  $(DIR_FLAGS) DESTDIR=$(CURDIR)/debian/$(PACKAGE_UDEB)
	rm -rf $(CURDIR)/debian/$(PACKAGE_UDEB)/usr
	
	$(MAKE) -C build-tree install \
	  $(DIR_FLAGS) DESTDIR=$(CURDIR)/debian/$(PACKAGE)

.PHONY: build-indep build-arch build install-arch clean

binary-indep:
# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_movetousr -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary

=== debian/watch ===
version=4
http://g33rt.be/migrated/Linux/fbdev/ fbset-(.*)\.tar\.gz debian uupdate
